From 177f2ff3701d0ef3ab0e9177d416ff31f11ec4bc Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 9 Oct 2009 10:30:56 +0200
Subject: [PATCH] Replace "requires" on kernel by "conflicts"

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 libdrm.spec |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/libdrm.spec b/libdrm.spec
index 9325283..4942f83 100644
--- a/libdrm.spec
+++ b/libdrm.spec
@@ -3,7 +3,7 @@
 Summary: Direct Rendering Manager runtime library
 Name: libdrm
 Version: 2.4.14
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 License: MIT
 Group: System Environment/Libraries
 URL: http://dri.sourceforge.net
@@ -13,7 +13,7 @@ Source1: make-git-snapshot.sh
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 Requires: udev
-Requires: kernel >= 2.6.29.1-52.fc11
+Conflicts: kernel < 2.6.29.1-52.fc11
 
 BuildRequires: pkgconfig automake autoconf libtool
 BuildRequires: kernel-headers >= 2.6.29-0.145.rc6.fc11
@@ -108,6 +108,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/pkgconfig/libdrm_nouveau.pc
 
 %changelog
+* Fri Oct  9 2009 Jitesh Shah <jiteshs@marvell.com> 2.4.14-1.fa1
+- Replace "requires" on kernel by "conflicts"
+
 * Fri Sep 25 2009 Dave Airlie <airlied@redhat.com> 2.4.14-1
 - rebase to latest upstream release - drop carried patches
 
-- 
1.5.5.6

